!=====================================================================
!
SUBROUTINE ZeroPRI(PRI)
!
!  Zeros the values in the PRI Structure
!
!  Terry Bullett   29Oct08
!
!  03Oct10 - Under gfortran, this routine takes 70% of the execution time.
!            assigning an array of zeros seems to speed this up slightly.
! 
IMPLICIT NONE
INCLUDE 'pct.f90'
INCLUDE 'pri.f90'
!
TYPE(PRItype) PRI 
COMPLEX,PARAMETER :: czero=(0.0, 0.0)
COMPLEX,DIMENSION(MAXRX,MAXRG) :: ZeroAscan = czero 
SAVE ZeroAscan
!
PRI%Frequency=0.0
PRI%Time=0.0
PRI%PulsetLength=0
PRI%PulsetIndex=0
PRI%ReceiverCount=0
PRI%GateCount=0
PRI%GateStep=0
PRI%Ascan=ZeroAscan
!
RETURN
END
